## git-buildpackage 0.6.0~git20111202

=== docs/Makefile ===
#!/usr/bin/make

COMMANDS = git-buildpackage  \
           git-import-dsc    \
           git-import-dscs   \
           git-import-orig   \
           git-dch           \
           gbp-pull          \
           gbp-clone         \
           gbp-pq            \
           gbp-create-remote-repo

MANUAL=manual-html
SGML_MANPAGES=$(patsubst %,%.1,$(COMMANDS))
POD_MANPAGES=git-pbuilder.1
MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
VERSION_ENT=version.ent
CHANGELOG=../debian/changelog

all: $(MANUAL) $(MANPAGES)

$(MANUAL): manual.sgml chapters/*.sgml manpages/*.sgml
	docbook-2-html -s local $<
	cp /usr/share/gtk-doc/data/*.png $(MANUAL)

%.1: man.%.sgml
	docbook2man -o . $<

git-pbuilder.1: ../bin/git-pbuilder
	pod2man $< $@

manual.sgml: $(VERSION_ENT)

$(VERSION_ENT): $(CHANGELOG)
	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' > $(VERSION_ENT)

clean:
	-rm -r manual-html/
	-rm *.1 manpage.* $(VERSION_ENT)

## git-buildpackage 0.3.2

=== debian/changelog ===
git-buildpackage (0.3.2) unstable; urgency=low

  * git-import-orig: allow to import into an empy git repository
  * docs: we don't use git_load_dirs internally anymore 
  * docs: howto start a package from scratch

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 27 Jun 2007 04:06:33 +0300

git-buildpackage (0.3.1) unstable; urgency=low

  * don't fail imports on large archives 
  * print a sensible error message, when a git repository isn't a debian
    source package

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 11 Jun 2007 18:06:15 +0200

git-buildpackage (0.3.0) unstable; urgency=low

  * don't use git_load_dirs for imports, this addresses:
      * upstream directory removal (#423363)
      * empty dirs and files not under version control (#409606)
      * filtering out of files (Closes: #425986)
      * importing of an empty .diff.gz (like libx86 0.99-1.2)
  * doc: remove stray ';' from special.sgml. Thanks to Loïc Minier
  * doc: gbp.conf is per working copy, not per repository

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 28 May 2007 03:19:32 +0200

git-buildpackage (0.2.31) unstable; urgency=low

  * git-import-orig: rename --upstreamversion to --upstream-version, to match
    the documentation and the other --upstream-* options
  * add several missing options to manpages and documentation

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 24 May 2007 09:38:35 +0200

git-buildpackage (0.2.30) unstable; urgency=low

  * fix changelog upstream version parsing (Closes: #425615)
  * git-import-orig: allow to import from an unpacked source tree

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 24 May 2007 06:19:06 +0200

git-buildpackage (0.2.29) unstable; urgency=low

  * git-import-orig: more specific error message, when the merge merge fails
    (Closes: #424036)

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 15 May 2007 23:55:07 +0200

git-buildpackage (0.2.28) unstable; urgency=low

  * git-import-orig: support import of tar.bz2 (Closes: #423254)
  * type fixes by Aurélien GÉRÔME. Thanks! (Closes: #422171)

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 13 May 2007 14:13:00 +0200

git-buildpackage (0.2.27) unstable; urgency=low

  * git_load_dirs now supports --summary, use this for nicer import messages
  * bump versioned dependency on git-load-dirs therefore
  * improve tagging messages

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 12 Apr 2007 18:25:40 +0200

git-buildpackage (0.2.26) unstable; urgency=low

  * use GbpError everywhere
  * move commands into a submodule
  * git-import-orig: pass --verbose on to git_load_dirs
  * use default python version in setup.py
  * depend on a git that has the "removed files left in working copy after
    merge" bug (#410325)
  * adjust to new output of git-status in git 1.5

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 27 Feb 2007 19:11:06 +0100

git-buildpackage (0.2.25) unstable; urgency=low

  * posttag support for git-buildpackage: use --git-posttag to run a command
    after a successfull build and tag (e.g. --git-posttag='git-push --tags
    git.alioth.org')
  * repositories that weren't created by git-import-dsc and never had the
    upstream sources as a single commit (let alone an upstream branch) can be
    made git-import-orig compatible by using git's grafts - mention this in
    the manual. This (Closes: #403988) since with this every git repo can use
    git-import-orig (with some preparation).
  * Allow to specify the tag format. The format of generated tags can now be
    specified via the debian-tag and upsteam-tag options. The default now puts
    debian tags and upstream tags into different namespaces (Closes: #408990).
  * add example for pbuilder

 -- Guido Guenther <agx@sigxcpu.org>  Fri,  2 Feb 2007 16:26:52 +0100

git-buildpackage (0.2.24) unstable; urgency=low

  * add XS-Vcs-Git
  * fix error message in case the upstream branch doesn't exist

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 13 Jan 2007 22:05:23 +0100

git-buildpackage (0.2.23) unstable; urgency=low

  * depend on gtk-doc-tools, sgml2x and jade (Closes: #404673)
  * use docbook-utils insted of docbook-to-man
  * docbook updates

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 29 Dec 2006 18:18:50 +0100

git-buildpackage (0.2.22) unstable; urgency=low

  * git-buildpackage: check if upstream branch exists
  * git-import-dsc: improve error handling
  * add GitRepository class
  * make pylint a bit happier
  * update manpages

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 26 Dec 2006 00:27:44 +0100

git-buildpackage (0.2.21) unstable; urgency=low

  * While dpkg-buildpackage's -i argument takes a regexp -I doesn't - fix
    inclusion of git metadata in debian native packages

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 22 Dec 2006 17:59:49 +0100

git-buildpackage (0.2.20) unstable; urgency=low

  * git-import-orig: improve error message when the upstream branch cannot be
    found. We cannot create the branch automatically since on repositories
    not created by git-import-dsc it's not clear where to branch from.
    (Closes: #403990)
  * remove pointless patch arguments from most of the git helper functions
  * add some more documentation

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 22 Dec 2006 17:30:11 +0100

git-buildpackage (0.2.19) unstable; urgency=low

  * git-buildpackage: add an option (--git-cleaner) that allows to specify
    a different clean command (Closes: #403987)
  * depend on a git-core that has git-archive
  * s/keyid/GPG keyid/
  * minor fixes all over the place

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 21 Dec 2006 15:18:40 +0100

git-buildpackage (0.2.18) experimental; urgency=low

  * git-buildpackage: detect the branch we're on and bail out if it's not the
    debian branch 
  * doc updates

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 10 Dec 2006 14:57:35 +0100

git-buildpackage (0.2.17) experimental; urgency=low

  * fix wrong default debian branch
  * git-buildpackage: fix typo in git-ignore-new

 -- Guido Guenther <agx@sigxcpu.org>  Sat,  9 Dec 2006 13:22:33 +0100



=== debian/control ===
Source: git-buildpackage
Section: devel
Priority: optional
Maintainer: Guido Guenther <agx@sigxcpu.org>
Build-Depends: cdbs, debhelper (>= 5), python-dev, python-support (>= 0.3),
 pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade
Standards-Version: 3.7.2
XS-Vcs-Git: http://honk.sigxcpu.org/git/git-buildpackage.git/

Package: git-buildpackage
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts,
 git-core (>= 1:1.5.0.1-1)
Suggests: git-load-dirs
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * git-import-dsc: import an existing Debian source package into a git
    repository
  * git-import-orig: import a new upstream version into the git repository
  * git-buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately

=== debian/rules ===
#!/usr/bin/make -f
  
DEB_PYTHON_SYSTEM = pysupport
DEB_PYTHON_CLEAN_ARGS = --all

# Add here any variable or target overrides you need
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

COMMANDS=git-buildpackage git-import-dsc git-import-orig
MANPAGES=$(patsubst %,docs/%.1,$(COMMANDS))
MANUAL=docs/manual-html
PYCHECKS=$(patsubst %,%.py,$(COMMANDS))
PYCHECK_LEVEL=Error

docs/%.1: docs/man.%.sgml
	docbook2man -o docs/ $<

$(MANUAL): docs/manual.sgml docs/chapters/*.sgml docs/manpages/*.sgml
	docbook-2-html -s gtk $<

%.py: %
	ln -s $< $@
	PYTHONPATH=. pychecker -e $(PYCHECK_LEVEL) -q $<

build/git-buildpackage:: $(MANPAGES) $(MANUAL) $(PYCHECKS)

clean::
	-rm git-*.py
	-rm docs/*.1 docs/manpage.*
	-rm -r docs/manual-html/

## git-buildpackage 0.4.10

=== debian/changelog ===
git-buildpackage (0.4.10) unstable; urgency=low

  * git-ls-files: separate filenames by '\0', based on a patch from Uwe
    Kleine-König <Uwe.Kleine-Koenig@digi.com> (Closes: #454470)
  * git-import-dsc: return non null on failure 

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 07 Dec 2007 23:19:39 +0100

git-buildpackage (0.4.9) unstable; urgency=low

  * fix "gpb gets confused by color enabled on branches..." - thanks to
    Niv Sardi for the patch (Closes: #452921)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 26 Nov 2007 17:22:48 +0100

git-buildpackage (0.4.8) unstable; urgency=low

  * git-buildpacakge: make sure we don't switch directories during build
    (Closes: #451550)
  * debian/control: use the now official Vcs-Git 

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 19 Nov 2007 18:50:08 +0100

git-buildpackage (0.4.7) unstable; urgency=low

  * add tarball-dir option losely based on patch from Sjoerd Simons
    (Closes: #448357)
  * don't print a commit summary when importing into empty repos
    (addresses parts of #449075)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 05 Nov 2007 20:09:15 +0100

git-buildpackage (0.4.6) unstable; urgency=low

  * fix url (Closes: #448350)
  * call gzip with "-n" (Closes: #449094) - thanks to Romain Francoise
  * add .gitignore 

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 04 Nov 2007 16:20:36 +0100

git-buildpackage (0.4.5) unstable; urgency=low

  * git-import-orig: fix missing s/upstream/upstream_branch/ rename
    (Closes: #447920) - Thanks to Arnaud Cornet

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 24 Oct 2007 22:56:24 +0200

git-buildpackage (0.4.4) unstable; urgency=low

  * git-buildpackage: use upstream-branch in case the tag doesn't exist

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 22 Oct 2007 17:00:12 +0200

git-buildpackage (0.4.3) experimental; urgency=low

  * git-dch: properly quote "" (Closes: #447211)
  * git-dch: use Command() instead of implementing it again
  * documentation updates
  * don't split up the manual that much (local.dsl taken from
    darcs-buildpackage)
  * add version number to docs and a tools (--version)
  * pylint and other consistency updates

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 19 Oct 2007 10:12:40 +0200

git-buildpackage (0.4.2) experimental; urgency=low

  * git-dch:
       * make --git-log a config file option
       * git-dch: fix help message for --debian-branch
       * doc: snapshot-number can be used in gbp.conf too
  * git-buildpackage:
       * add --git-export-dir=dir/, --git-export=treeish (Closes: #446042)
       * allow to use any treeish object for --git-upstream-branch
  * add missing examples to gbp.conf
  * parse .gbp.conf in the repository directory (Closes: #426009)
  * minor doc updates and clarifications

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 17 Oct 2007 00:00:13 +0200

git-buildpackage (0.4.1) unstable; urgency=low

  * make sure the changelog section's trailer points to the person
    invoking git-dch
  * depend on devscripts with a working 'dch ""'
  * git-dch: eval() the snapshot number calculation

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 10 Oct 2007 18:15:54 +0200

git-buildpackage (0.4.0) experimental; urgency=low

  * add support for automatic snapshot releases as suggested by Ottavio
    Salvador
  * make git-dch actually useful:
      * --auto: guess last changelogged commit from the snapshot header
      * add short options for --snapshot and --release
      * don't fail if the commit msg starts with '--'
      * add a check for the debian branch instead of always using it as the
        tip
      * handle versions containing epochs
      * add --git-log to pass options along to git-log
      * allow to specify paths to look at: git-dch path1 path2 - useful if
        upstream uses git
  * add some basic documentation for git-dch

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 07 Oct 2007 15:32:40 +0200

git-buildpackage (0.3.6) unstable; urgency=low

  * create upstream branch when importing into an empty archive 
    (Closes: #443305)
  * detect upstream version from common tarball formats 
    (Closes: #443306)

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 03 Oct 2007 18:01:15 +0200

git-buildpackage (0.3.5) unstable; urgency=low

  * add a minimalistic git-dch that creates changelog entries from git commit
    messages
  * s/reopsitory/repository/ - thanks to Loïc Minier (Closes: #444702)
  * update TODO
  * short paragraph on hacking on arbitrary debian packages

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 03 Oct 2007 14:10:05 +0200

git-buildpackage (0.3.4) unstable; urgency=low

  * introduce --git-no-create-orig to skip building of any orig.tar.gz - this
    is especially usefull if you're working on an NMU that has a X-0.Y version
    number although it's a Debian native package
  * fix the error path in case the tgz can't be unpacked
  * git-pbuilder: add filter for git meta data and allow to pass options to
    pbuilder vi $PBUILDER_OPTS (Closes: #439535)

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 08 Sep 2007 20:40:36 +0200

git-buildpackage (0.3.3) unstable; urgency=low

  * git-buildpackage: don't hardcode -i\.git -I.git as build arguments
    (Closes: #438669)
  * git-import-dsc: support --debian-branch (Closes: #432084)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 20 Aug 2007 19:22:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Build-Depends: cdbs, debhelper (>= 5), python-dev, python-support (>= 0.3),
  pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade
 Standards-Version: 3.7.2
-XS-Vcs-Git: http://honk.sigxcpu.org/git/git-buildpackage.git/
+Vcs-Git: http://honk.sigxcpu.org/git/git-buildpackage.git/
 
 Package: git-buildpackage
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts,
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.9),
  git-core (>= 1:1.5.0.1-1)
 Suggests: git-load-dirs
 Description: Suite to help with Debian packages in Git repositories
@@ -19,3 +19,4 @@
   * git-import-orig: import a new upstream version into the git repository
   * git-buildpackage: build a package out of a git repository, check for local
     modifications and tag appropriately
+  * git-dch: generate Debian changelog entries from Git commit messages

## git-buildpackage 0.4.33

=== debian/changelog ===
git-buildpackage (0.4.33) unstable; urgency=low

  [ Adeodato Simó ]
  * [35c92a4] git-import-orig: merge upstream by tag name instead of by
    branch name.
  * [f1ca044] command_wrappers.py: add a GitMerge wrapper class.

  [ Guido Guenther ]
  * [9bbd5d2] make symlink_orig's error message more helpful
  * [26c0310] make no-dch configurable via gbp.conf
  * [e6ce2df] bump standards version
  * [45b060e] mention git-import-dscs
  * [721068a] add "meta" to sample config file

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 26 Jun 2008 16:47:55 +0200

git-buildpackage (0.4.32) unstable; urgency=low

  * [217263e] Don't set the version number twice - makes sure git-import-dsc
    doesn't use the Version: line from the message instead of the signature on
    old PGP signatures (Closes: #486397)
  * [063fab5] escape $s in commit messages so variable names like
    $remote_fs don't get dropped silently. (Closes: #486447)
  * [6008c37] don't try to cleanup in case of tag_only (Closes: #486398)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 16 Jun 2008 17:54:09 +0200

git-buildpackage (0.4.31) unstable; urgency=low

  * [bf8738f] add --git-tag-only (Closes: #485114)
  * [b06bcf0] document git-import-dscs
  * [c1deeb2] add epoch to dch call (Closes: #483718)
  * [6640ac7] Fix typo (Closes: #484243)

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 12 Jun 2008 16:53:45 +0200

git-buildpackage (0.4.30) unstable; urgency=low

  * [cc9c42a] Try harder to find/build the upstream tarball (Closes:
    #482786)
  * [e6dd31e] Help pristine-tar to find the branch name (Closes:
    #481806)

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 29 May 2008 13:24:51 +0200

git-buildpackage (0.4.29) unstable; urgency=low

  * [ce152d4] git-dch: include the commit id in the changelog entry
  * [ad6ff99] git-dch: print default value of --meta
  * [2c1c265] git-dch: avoid extra space before "(Closes: )"
  * [6ddf168] add git-import-dscs (Closes: #471580)
  * [2cfbf05] move dsc handling into deb_utils

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 17 May 2008 22:01:49 +0200

git-buildpackage (0.4.28) unstable; urgency=low

  * git-buildpackage: add --git-dont-purge to leave the exported build dir
    intact (Closes: #479848) - thanks to Kurt B. Kaiser for the patch
  * git-dch: make --meta a config file option
  * git-import-orig: fix symlink creation
  * docs: missing EOF (Closes: #479726) - thanks to Sedat Dilek

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 12 May 2008 18:03:47 +0200

git-buildpackage (0.4.27) unstable; urgency=low

  * make author parsing more robust  (Closes: #479263)
  * fix --git-export  (Closes: #479147)

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 04 May 2008 16:43:43 +0200

git-buildpackage (0.4.26) unstable; urgency=low

  * git-export=INDEX exports the index into git-export-dir
    (Closes: #471568)
  * make ignore-new a config file option  (Closes: #466900)
  * build-depend on python-dateutil  (Closes: #477959)
  * git-dch:
      * use --no-auto-nmu
      * error handling fixes
  * depend on devscripts that has dch --no-auto-nmu
  * gbp/config.py: make boolean options parsing more robust
  * add a link to the online version of the manual

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 28 Apr 2008 16:36:44 +0200

git-buildpackage (0.4.25) unstable; urgency=low

  * create a symlink archive -> <package>_<version>.orig.tar.gz this makes
    sure pristine_tar uses the correct filename for the orig.tar.gz.  (Closes:
    #475316)
  * fix unpack_orig error reporting by adding the missing imports
  * fix "pristine-tar missing" error message

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 18 Apr 2008 11:33:46 +0200

git-buildpackage (0.4.24) unstable; urgency=low

  [ Adeodato Simó ]
  * Make commits from git-import-dsc get author and date from
    debian/changelog.

  [ Guido Guenther ]
  * add rfc822_date_to_git() this function converts a date in RFC822
    format to a string 'seconds_since_epoch tz' that can be used for eg.
    GIT_AUTHOR_DATE.
  * better handle broken dsc files

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 14 Apr 2008 14:39:37 +0200

git-buildpackage (0.4.23) unstable; urgency=low

  [ Frank S. Thomas ]
  * docs/manpages/*.sgml: Use the citerefentry for references to other
    manpages.
  * Do not list the --upstream-version option twice in the synopsis
    section of git-import-orig's manpage. (Closes: #472496)

  [ Guido Guenther ]
  * don't pass nonexisting branches to pristine-tar (Closes: #475554)
  * doc cleanups (Closes: 473610):
  	* mention the html manual in the manpages
  	* reference pristine-tar
  	* filter uses glob
  	* move conffiles section into separate sgml file
  * fix doc-base section

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 11 Apr 2008 19:18:08 +0200

git-buildpackage (0.4.22) unstable; urgency=low

  * git-dch: don't skip meta tags without --force
  * gbp: git-core 1.5.3.4 doesn't support -q so use --quiet instead
  * fix typos in documentation  (Closes: #471582) - thanks to Michael
    Biebl

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 19 Mar 2008 18:03:20 +0100

git-buildpackage (0.4.21) unstable; urgency=low

  * allow meta tags in the commit logs
  * add --full and --meta options --full (Closes: #468118)

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 14 Mar 2008 20:42:53 +0100

git-buildpackage (0.4.20) unstable; urgency=low

  * add missing pngs (Closes: #469403)
  * be more verbose on pbuilder (Closes: #469138)
  * explain howto push tags and mention linda and lintian (Closes: #469436)

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 06 Mar 2008 08:48:02 +0100

git-buildpackage (0.4.19) unstable; urgency=low

  * don't fail of the pristine-tar branch doesn't exist 
    (Closes: #468675)

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 01 Mar 2008 14:22:20 +0100

git-buildpackage (0.4.18) unstable; urgency=low

  * update documentation about git-import-dsc and --filter
  * gbp/command_wrappers.py: make error messages more consistent


## git-buildpackage 0.4.34~bpo40+1

=== debian/changelog ===
git-buildpackage (0.4.34~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 02 Aug 2008 15:49:24 +0200

git-buildpackage (0.4.34) unstable; urgency=low

  * [4ac0aa8] git-buildpackage: always symlink orig.tar.gz from tarball dir
    (Closes: 490706)
  * [fb94fea] git-buildpackage: print default export-dir on --help
  * [ffeb40e] git-dch: escape backticks (`) (Closes: 491104)
  * [4e398cc] git-dch: --auto and --since are incompatible
  * [3537f24] git-dch: use option groups
  * [18d8405] git-dch: split git-log options into a list (Closes: #479267)
  * [044083f] docs: readd list import line (Closes: #488120)

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 22 Jul 2008 00:29:49 -0230

git-buildpackage (0.4.33~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.
  * [5db3d28] disable git-import-dscs since it uses a python 2.5
    construct

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 02 Aug 2008 13:45:37 +0200

git-buildpackage (0.4.22~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 09 Apr 2008 19:58:04 +0200

git-buildpackage (0.4.20~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 19 Mar 2008 08:32:58 +0100

git-buildpackage (0.4.13~bpo40+1) etch-backports; urgency=low

  * Rebuild for Etch backports.

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 10 Jan 2008 15:50:45 +0100

git-buildpackage (0.4.9~bpo.1) etch-backports; urgency=low

  * Rebuild for Etch backports.

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 08 Dec 2007 01:17:03 +0100

git-buildpackage (0.4.5~bpo.1) etch-backports; urgency=low

  * etch backport 

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 03 Nov 2007 20:27:00 +0100

git-buildpackage (0.3.2~bpo.1) etch-backports; urgency=low

  * etch backport 

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 27 Jun 2007 12:22:09 -0400

=== debian/control ===
Source: git-buildpackage
Section: devel
Priority: optional
Maintainer: Guido Guenther <agx@sigxcpu.org>
Build-Depends: cdbs, debhelper (>= 5), python-dev, python-support (>= 0.3),
 pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil
Standards-Version: 3.8.0
Vcs-Git: http://honk.sigxcpu.org/git/git-buildpackage.git/
Homepage: http://honk.sigxcpu.org/projects.html#git-buildpackage

Package: git-buildpackage
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.26),
 git-core (>= 1:1.5.0.1-1), python-dateutil
Suggests: git-load-dirs, pristine-tar (>= 0.5)
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * git-import-{dsc,dscs}: import existing Debian source packages into a git
    repository
  * git-import-orig: import a new upstream version into the git repository
  * git-buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately
  * git-dch: generate Debian changelog entries from Git commit messages

=== debian/rules ===
#!/usr/bin/make -f
  
DEB_PYTHON_SYSTEM = pysupport
DEB_PYTHON_CLEAN_ARGS = --all

# Add here any variable or target overrides you need
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

COMMANDS=git-buildpackage git-import-dsc git-import-orig git-dch
MANPAGES=$(patsubst %,docs/%.1,$(COMMANDS))
MANUAL=docs/manual-html
PYCHECKS=$(patsubst %,%.py,$(COMMANDS))
PYCHECK_LEVEL=Error
GBP_VERSION=gbp/gbp_version.py
VERSION_ENT=docs/version.ent

docs/%.1: docs/man.%.sgml
	docbook2man -o docs/ $<

docs/manual.sgml: docs/version.ent

$(MANUAL): docs/manual.sgml docs/chapters/*.sgml docs/manpages/*.sgml
	docbook-2-html -s local $<
	cp /usr/share/gtk-doc/data/*.png $(MANUAL)

%.py: %
	ln -s $< $@
	PYTHONPATH=. pychecker -e $(PYCHECK_LEVEL) -q $<

$(GBP_VERSION): debian/changelog
	echo 'gbp_version="$(DEB_VERSION)"' > $(GBP_VERSION)

$(VERSION_ENT): debian/changelog
	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' >  $(VERSION_ENT)

build/git-buildpackage:: $(MANPAGES) $(MANUAL) $(GBP_VERSION) $(PYCHECKS) 

clean::
	-rm git-*.py
	-rm docs/*.1 docs/manpage.* $(VERSION_ENT)
	-rm -r docs/manual-html/

## git-buildpackage 0.4.43

=== debian/changelog ===
git-buildpackage (0.4.43) unstable; urgency=low

  * [8b8c137] gather all invocations of dch in one function - fixes dch
    failures due to missing quotes introduced by [7f24b98]
  * [a328fa2] fix off by one introduced by not counting first_commit
    when creating a new header in [7f24b98]

 -- Guido Günther <agx@sigxcpu.org>  Fri, 14 Nov 2008 14:12:04 +0100

git-buildpackage (0.4.42) unstable; urgency=low

  [ Guido Günther ]
  * [b5e8691] debian/control: fix maintainer
  * [ee9e51d] doc: mention cl2vcs
  * [a0c03e1] doc: fix typo
  * [0314acc] git-buildpacakge: use option groups
  * [2d44dad] git-dch: merge sha and snapshot parameter

  [ Felipe Sateler ]
  * [7f24b98] git-dch: Don't include first UNRELEASED line - There's not much
    point in keeping this line when either doing a release or when having a
    snapshot header (nor does it help much if one invokes git-dch without
    options). (Closes: #505400)

  [ Guido Günther ]
  * [a6f5472] git-import-orig: Don't fail on symlink creation (Closes: #502565)
  * [b7f8efd] git-dch: add missing call to escape_commit

 -- Guido Günther <agx@sigxcpu.org>  Thu, 13 Nov 2008 17:08:52 +0100

git-buildpackage (0.4.41) unstable; urgency=low

  * [8b15994] allow for another config file $REPO/debian/gbp.conf
    (Closes: #502253)
  * [1ef4e04] add repo.set_branch() to switch branches
  * [d4d4580] use repo.set_branch()
  * [245d5f1] add GbpNothingImported exception
  * [c410c0b] switch back to original branch on empty imports 
    (Closes: #504029, #504072)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 31 Oct 2008 10:28:47 +0100

git-buildpackage (0.4.40) unstable; urgency=low

  [ Guido Guenther ]
  * [d87e2ab] fix typo (Closes: #500167) - thanks to Aleksej R.  Serdyukov
  * [632c9b4] gbp.git_utils.GitRepository: make indentation more consistent
  * [b1a2847] adjust is_clean for git 1.6 (Closes: #500238)
  * [3332982] gbp.deb_utils.symlink_orig: remove superflous printout
  * [fb6187f] silence parse_dsc and move sanity checks into DscFile

  [ Kurt B. Kaiser ]
  * [bbd9946] Force tarball symlink on second export to build-area
    (Closes: #500498)

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 02 Oct 2008 12:26:56 +0200

git-buildpackage (0.4.39) unstable; urgency=low

  [ Kurt B. Kaiser ]
  * [ac30b9b] Don't buffer stdout; let git-bp messages print in-line
    (Closes: #479846)

  [ Guido Guenther ]
  * [4da9954] git-import-dscs: likewise
  * [2162ead] git-dch: demangle adding commits and sections
  * [af70d4d] git-dch: improve wording
  * [bbf5020] git-dch: more option grouping
  * [3931f70] git-import-orig: print version number on failed imports
  * [745fbf6] git-import-dsc: merge by default when importing into an existing archive
    (Closes: #475571)
  * [631c347] git-import-dsc.sgml: document --no-merge
  * [2f46ba4] gbp: Don't honor .gitignore during replace_source_tree 
    (Closes: #467504)
  * [624bdc9] gbp: move replace_source_tree into GitRepository
  * [519901e] gbp: add find_tag(branch)

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 22 Sep 2008 20:55:07 +0200

git-buildpackage (0.4.38) unstable; urgency=low

  * [1623560] "git-commond" vs. "git command" cleanup (Closes: #497335)
  * [0a34c3b] add --new-version
  * [2a17687] document --new-version
  * [fc67ac2] document short options and snapshot mode

 -- Guido Guenther <agx@sigxcpu.org>  Mon, 08 Sep 2008 18:48:58 +0200

git-buildpackage (0.4.37) unstable; urgency=low

  * [d1ea39d] allow setting the bug-closing meta tag to look for this
    way we can generate bug-closing entries for different BTSs such as
    Debian or Launchpad.
  * [0376265] document meta-closes
  * [4da3586] fix commit order of GitRepository.commits() - we request
    since..until but got until..since. This makes the order of changelog
    entries generated by git-dch the same order as if git-dch would be
    called individually for each commit.

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 30 Aug 2008 14:20:11 +0200

git-buildpackage (0.4.36) unstable; urgency=low

  * [64808df] Warn if we can't parse the changelog - without a changelog we
    can't parse the package name. Without that we might end up with wrong
    names on the pristine tar branch and with missing symlinks in tarball-dir.
    Since this might be intentional we issue a warning only.
  * [32b2e89] detect flat tar archives in git-import-dsc too
  * [277581c] don't fail import on non rfc822 adressess in the dsc file
    (Closes: #494753)

 -- Guido Guenther <agx@sigxcpu.org>  Tue, 12 Aug 2008 19:31:26 +0200

git-buildpackage (0.4.35) unstable; urgency=low

  * [e012d8b] add epoch parsing to DscFile (Closes: #493214)

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 01 Aug 2008 19:32:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: git-buildpackage
 Section: devel
 Priority: optional
-Maintainer: Guido Guenther <agx@sigxcpu.org>
+Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: cdbs, debhelper (>= 5), python-dev, python-support (>= 0.3),
  pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil
 Standards-Version: 3.8.0

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
 
-COMMANDS=git-buildpackage git-import-dsc git-import-orig git-dch
+COMMANDS=git-buildpackage git-import-dsc git-import-dscs git-import-orig git-dch
 MANPAGES=$(patsubst %,docs/%.1,$(COMMANDS))
 MANUAL=docs/manual-html
 PYCHECKS=$(patsubst %,%.py,$(COMMANDS))

## git-buildpackage 0.4.45

=== debian/changelog ===
git-buildpackage (0.4.45) unstable; urgency=low

  [ Robie Basak ]
  * [6f4af4a] Use name and email from git (Closes: #509867)

  [ Guido Günther ]
  * [b097286] document --no-sign-tags
  * [6fe5985] add --no-git-author
  * [7c2034c] add --no-sign-tags to git-import-{dsc,orig} too 
    (Closes: #508889)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jan 2009 20:11:16 +0100

git-buildpackage (0.4.44) unstable; urgency=low

  * [c54e6dc] help option cleanup (Closes: #505787)
  * [45541fe] don't require bugnumbers to start with '#' - use the regex
    from Debian policy instead
  * [77a875c] move common help messages into config.py
  * [9223997] allow to import into empty repositories this makes git-
    import-dsc's behaviour finally consistent with git-import-orig
    (Closes: #500458, #504075)
  * [aacd04a] require python 2.5
  * [54b9a3e] better descriptions
  * [e806326] add --no-sign-tags (Closes: #508889)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Dec 2008 00:29:43 +0100

## git-buildpackage 0.4.57

=== debian/changelog ===
git-buildpackage (0.4.57) unstable; urgency=low

  * new tools:
      * [13316be] Add gbp-clone to examples. Using this to clone
        repositories will automatically track the remote branches used by
        gbp. Addresses parts of #540185.
  * git-dch:
      * [d42ed40] Trim commit display.
      * [a335e04] Catch gbp.deb.NoChangelogError.
      * [98a9b88] Add changelog section if current topmost version is already
        tagged. This makes sure we add a new changelog section after a
        release. This was broken due to 016318.
  * git-import-orig:
       * [dcbe091] Use option groups for nicer --help output
       * [ee6c238] Add postimport hook for git-import-orig Allows to run git-
         dch after import. Drop the dch invocation and warn when --no-dch gets
         passed on the commandline. (Closes: #520355)
       * [aecb9b4] NEWS: --no-dch is no more (Closes: #540750)
  * git-import-dsc:
       * [dcbe091] Use option groups for nicer --help output
  * packaging:
      * [4f82dfb] Honor DEB_BUILD_OPTIONS=nocheck
      * [29cacc0] Run doctests with nose
      * [1f8abec] Bump standards version
      * [c84fd78] TODO list maintained in the wiki
  * gbp module:
      * [715d42a] Drop superfluous _utils from module names
      * [46d6c1b] Make sanitize_version a private function
      * [75eedb8] Add doctest for __sanitize_version() and build_tag()
      * [4cd72bc] Add doctest for Command.__call__()
      * [a4fd8eb] Add doctest for Command.call() and fix error in exception
        handling revealed by the test.
      * [edfe670] Add GitClone
      * [2663f23] Make GitBranch remote branch aware
      * [838b3f4] Make has_branch aware of remote branches
  * tests:
      * [6cbbddf] Add unit test for --help
      * [52d9b5a] Fix testcase name
  * [e4abaad] document changes so far

 -- Guido Günther <agx@sigxcpu.org>  Sat, 05 Sep 2009 16:06:11 +0200

git-buildpackage (0.4.56) unstable; urgency=low

  * [d6dae62] depend on devscripts >= 2.10.49 for --no-force-save-on-release
    in dch.  (Closes: #541420)
  * [080b1eb] make parameters for GitRepository.commits() optional
  * [016318e] git-dch: use the last commit in which debian/changelog was
    touched as starting point if no snapshot header was found. This can still
    be overriden by using --since. Based on a patch by Felipe Sateler. 
    (Closes: #511269)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Aug 2009 19:24:23 +0200

git-buildpackage (0.4.55) unstable; urgency=low

  [ Guido Günther ]
  * [651f723] fix release
  * [e1bdfdb] update Homepage:
  * [8ea4747] add gbp-pq to examples (Closes: #537212)
  * [bedacee] check for correct overlay usage
  * [849c801] bump standards version
  * [f636022] add --no-force-save-on-release so dch saves the changlog
    even when there are no changes so we don't end up with UNRELEASED
    when passing -R.

  [ أحمد المحمودي ]
  * [14915d9] make tar_toplevel safer
  * [b86ddcc] add --git-overlay option (Closes: #411206)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 30 Jul 2009 11:27:17 +0200

git-buildpackage (0.4.54) unstable; urgency=low

  [ Damyan Ivanov ]
  * [b577f01] Unconfuse git-dch when commit message starts with "--"
    (Closes: #531985)

  [ Guido Günther ]
  * [55a89e1] allow for uppercase characters in the version pattern and
    in the package name if it's not a debian source package's name. Also
    allow for ':' and '~' which are allowed accoring to Debian Policy.
    Based on a patch by Felipe Sateler. (Closes: #531819)
  * [882f971] check for snapshot mode when checking if we need to add a
    new section. (Closes: #532583) - thanks to Ove Kaaven for sorting
    this out
  * [f80ee2e] fix one digit version numbers
  * [5edecd9] + is a valid character in version numbers

  [ Mehdi Dogguy ]
  * [7de9f12] add filter-pristine-tar to filter upstream tarball before
    passing it to pristine-tar (Closes: #520722)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Jul 2009 16:16:41 +0200

git-buildpackage (0.4.53) unstable; urgency=low

  * [b772300] pass --pretty=medium to git show (Closes: #525969)
  * [5ed3078] add commit argument to GitTag
  * [129b3c4] add get_author_email that parses git config and
              environment
  * [9ed19e7] add --fast-import. This uses git-fast-import to import the
              upstream tarball, speeds up imports of upstream tarballs by a
              factor of two. This options is experimental and will become the
              default once it got more testing. (Closes: #449075)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 May 2009 18:35:52 +0200

git-buildpackage (0.4.52) unstable; urgency=low

  * [a2e42cd] move to section vcs
  * [2892e7f] document postbuild hook
  * [66f1027] promote pristine-tar to Recommends:
  * [54b9da0] fix missing argument in error message
  * [3e4b08e] restore default signal handlers before subprocess.call, python
              changes them to SIG_IGN. (Closes: #525411)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 24 Apr 2009 17:35:44 +0200

git-buildpackage (0.4.51) unstable; urgency=low

  * [74a0954] git-import-dsc: don't ignore --debian-branch on import into non
    empty archives
  * [abe7de4] store version without epoch and simplify version parsing
  * [8d2c6bd] add get_arch returns dpkg's notion of the architecture
  * [e4db34b] add postbuild hook can be used to e.g. run lintian.
    (Closes: #521358)
  * [829db7c] pass GBP_BUILD_DIR to the build command this allows hooks
    to figure out where to copy back the build result. Adjust the
    cowbuilder example accordingly.
  * [eaacadf] bump standards version
  * [d113a3b] let the version detection patter match debian policy
    (Closes: #522888)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 16 Apr 2009 11:47:27 +0200

git-buildpackage (0.4.50) unstable; urgency=low

  * [eceac16] be less strict on the spelling of boolean config file
    options any capitalization of 'true' or 'false' as well as '0' and
    '1' are allowed. (Closes: #517376)


## git-buildpackage 0.4.58jolicloud1

=== debian/changelog ===
git-buildpackage (0.4.58jolicloud1) robby-test; urgency=low

  * Added another git-merge layer after import between debian and master
  * Removed "ubuntu" tag and branch to simplify custom workflow
  * Attempt to correct for the previous release's tag name when building
    the changelog

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 05 Oct 2009 14:01:23 -0600

git-buildpackage (0.4.58) unstable; urgency=low

  * [78bcf5e] catch config file parse errors (Closes: #545690)
  * [8a9b813] docs: mention pristine-tar branch and pristine-tar
  * [260afa1] docs: add missing --git- prefix
  * [af4265e] git-dch: export GBP_BRANCH to postimport hook so we can pass the
    current branch to git-dch

 -- Guido Günther <agx@sigxcpu.org>  Mon, 05 Oct 2009 18:16:10 +0200

git-buildpackage (0.4.55jolicloud1) robby-test; urgency=low

  [ Adam McDaniel ]
  * New upstream release, 0.4.55

 -- Adam Mcdaniel <adam@jolicloud.org>  Tue, 15 Sep 2009 12:21:41 -0600

git-buildpackage (0.4.45jolicloud2) robby-test; urgency=low

  [ Adam McDaniel ]
  * Fixed minor git-buildpackage bug when building under jolicloud
    branch
  * Changed "git-dch -S" snapshots' naming conventions

 -- Adam Mcdaniel <adam@jolicloud.org>  Tue, 15 Sep 2009 11:44:14 -0600

git-buildpackage (0.4.45jolicloud1) robby-test; urgency=low

  * Changed the format of snapshot tags slightly
  * Created options for ubuntu and jolicloud tags and branches
  * added 'ubuntu' and 'jolicloud' params to importing scripts
  * Removed temporary gbp_version.py file from repo

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 14 Sep 2009 23:07:39 +0200

=== debian/control ===
Source: git-buildpackage
Section: vcs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: cdbs, debhelper (>= 5), python-dev, python-support (>= 0.3),
 pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil, python-nose
Standards-Version: 3.8.3
Vcs-Git: http://honk.sigxcpu.org/git/git-buildpackage.git/
Vcs-Browser: http://git.debian.org/?p=users/agx/git-buildpackage.git
Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/

Package: git-buildpackage
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.49),
 git-core (>= 1:1.5.0.1-1), python-dateutil
Recommends: pristine-tar (>= 0.5)
Suggests: git-load-dirs
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * git-import-{dsc,dscs}: import existing Debian source packages into a git
    repository
  * git-import-orig: import a new upstream version into the git repository
  * git-buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately
  * git-dch: generate Debian changelog entries from Git commit messages

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 DEB_PYTHON_SYSTEM = pysupport
 DEB_PYTHON_CLEAN_ARGS = --all
 
-# Add here any variable or target overrides you need
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
 
@@ -24,6 +23,11 @@
 	docbook-2-html -s local $<
 	cp /usr/share/gtk-doc/data/*.png $(MANUAL)
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+checks: $(PYCHECKS)
+	nosetests --with-doctest
+endif
+
 %.py: %
 	ln -s $< $@
 	PYTHONPATH=. pychecker -e $(PYCHECK_LEVEL) -q $<
@@ -34,10 +38,11 @@
 $(VERSION_ENT): debian/changelog
 	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' >  $(VERSION_ENT)
 
-build/git-buildpackage:: $(MANPAGES) $(MANUAL) $(GBP_VERSION) $(PYCHECKS) 
+build/git-buildpackage:: $(MANPAGES) $(MANUAL) $(GBP_VERSION) checks
 
 clean::
 	-rm git-*.py
 	-rm docs/*.1 docs/manpage.* $(VERSION_ENT)
 	-rm -r docs/manual-html/
 
+.PHONY: checks
